## The Kubernetes PM Group

### Focus

The Kubernetes PM Group focuses on aspects of product management, such as the qualification and successful management of user requests, and aspects of project and program management such as the continued improvement of the processes used by the Kubernetes community to maintain the Kubernetes Project itself. 

Besides helping to discover both what to build and how to build it, the PM Group also helps to try and keep the wheels on this spaceship we are all building together; bringing together people who think about Kubernetes as both a vibrant community of humans and technical program is another primary focus of this group. 

Members of the Kubernetes PM Group can assume [certain additional](https://github.com/kubernetes/community/blob/master/project-managers/README.md) responsibilities to help maintain the Kubernetes Project itself. 

It is also important to remember that the role of managing an open source project is very new and largely unscoped for a project as large as Kubernetes; we are learning too and we are excited to learn how we can best serve the community of users and contributors.

### Common activities
- Collecting and generalizing user feedback to help drive project direction and priorities: delivering on user needs while enforcing vendor neutrality
- Supporting collaboration across the community by working to improve the communication of roadmap and workload of other [Special Interest Groups](https://github.com/kubernetes/community#special-interest-groups-sig-and-working-groups)
- Supporting the continued effort to improve the stability and extensibility of Kubernetes Project
- Supporting the marketing and promotion of the Kubernetes Project through the [CNCF](https://www.cncf.io/)
- Working with the [Kubernetes Release Team](https://github.com/kubernetes/community/tree/master/contributors/devel/release) to continually ensure a high quality release of the Kubernetes Project
- Supporting the Kubernetes ecosystem through [the Kubernetes Incubator](https://github.com/kubernetes/community/blob/master/incubator.md)
- Coordinating project wide policy changes for Kubernetes and the Kubernetes Incubator
- Onboarding large groups of corporate contributors and welcoming them into the Kubernetes Community
- Whatever is needed to help make the project go!

### Contact us
- via [Slack](https://kubernetes.slack.com/messages/kubernetes-pm/)
- via [Google Groups](https://groups.google.com/forum/#!forum/kubernetes-pm)

### Regular Meetings

Every second Tuesday, 8:00 AM PT/4:00 PM UTC
- [Zoom link](https://zoom.us/j/845373595)
- [Meeting Notes](https://docs.google.com/document/d/1YqIpyjz4mV1jjvzhLx9JYy8LAduedzaoBMjpUKGUJQo/edit?usp=sharing)

### Leaders
- Aparna Sinha apsinha@google.com, Google
- Ihor Dvoretskyi ihor@dvoretskyi.com, Mirantis
- Caleb Miles caleb.miles@coreos.com, CoreOS
